<style>
*{
   font-weight: 550;
   font-size: 7px;

}

#impresion{
   width:160px;
  
   margin: 0;
 
 padding: 0;
 
 
}
#titulo{

   margin: 0;
   text-align: center;
   padding: 0;
   
}
#tr{
   
   justify-content:  space-around;
}
h6{
   margin: 0;
 
   padding: 0;

}


.item{
margin-right: 1px;

}
p {margin: 0; padding: 0;

}
.produ{
   text-align: left;
}

#totalll{
   text-align: center;

}


</style>

<?php
$data = json_decode(file_get_contents("php://input"), true);
$bodega=$data["bodega"];
include("datosimpresion.php");
?>

<div id="impresion" >

<div id="titulo">
<?php echo(" <h6>  $nombreNegocio</h6>
      <h6> $direccion</h6>
      ");?>
</div>

<?php
$idc=$data["idc"];
$nombrec=$data["nombrec"];


$fecha=$data["fecha"];
$factura=$data["numf"];
$tipo=$data["movim"];
$tipodetalle=$data["tipodetalle"];
print("<br>");
// session_start();

print("<h6 class='empresa'>".$representante."</h6> ");
print(" <h6 class='empresa'>Nit:".$nit."</h6>  ");
print(" <h6 class='empresa'>$regimen </h6>");
print(" <h6 class='empresa'>Tel: ".$tel." </h6> ");

      
        echo("<hr>");
          
print("<p>Numero $tipo  ".$factura.  " Fecha: ".$fecha." </p>");
print("<p>Cliente: ".$idc. "</p>");
print("<p>Nombre:".$nombrec  ." </p>");


echo("<hr>");
print("<div id='titulo'><h6>Detalle de  $tipo</h6> ");
print("<p>$tipodetalle</p>");
echo("<hr>");



$produc=$data["factura"];
$fila = json_decode($produc, true); 
$total=$data["total"];
//regimen comun
$iva5=(int) $data["iva5"];
$iva19=(int)$data["iva19"];
$base5=(int)$data["base5"];
$base19=(int)$data["base19"];
$excento=(int)$data["excento"];
$totaliva=(int)$iva5+$iva19;





//fin regimen comun

foreach($fila as $valor) {
echo("<p class='produ'>") ; 
echo( $codigo=$valor["Codigo"]);
echo(" ");
echo( $nombre=$valor["Nombre"]);
echo(" ");
echo("Caja:". $caja=$valor["Cantida_caja"]);
echo(" ");
echo("Frcc:". $frcc=$valor["Cantida_frcc"]);
echo(" ");
echo("Precio:".number_format( $precio=$valor["total"])); 
echo("</p>");
echo("<br>");

}
echo("<hr>");


echo("<h6> Total:  ".number_format($total)."</h6>");
print("</div>");
echo("<hr>");



echo("<hr>");

?>







<script type="text/javascript">
function imprimir(){
    window.print()
   //  
     let navegador = navigator.userAgent;
     if (navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/BlackBerry/i) || navigator.userAgent.match(/Windows Phone/i)) {
      
        } else{
         setTimeout(window.close, 300);
        }
 

    }

    setTimeout(imprimir,300);

</script>




</div>